freeslot("SPR_OLDK", "MT_OLDK", "S_OLDK_STND", "S_OLDK_DIE0", "S_OLDK_DIE1", "S_OLDK_DIE2")

//Shhhhhhhhhhhhhhhhhhh.

addHook("MobjThinker", function(mo)
	if (mo.health <= 0)
		mo.momz = $1 - ((2*FRACUNIT)/3)
		return;
	end
	mo.health = 1
end, MT_OLDK)

mobjinfo[MT_OLDK] = {
		doomednum = 666,
        spawnstate = S_OLDK_STND,
        spawnhealth = 2,
		reactiontime = 32,
		painchance = 128,
		painsound = sfx_s3k35,
		painstate = S_OLDK_DIE0,
		deathstate = S_OLDK_DIE0,
		deathsound = sfx_s3k35,
		speed = 2*FRACUNIT,
        radius = 32*FRACUNIT,
        height = 64*FRACUNIT,
		mass = 1000,
		flags = MF_SHOOTABLE|MF_NOGRAVITY|MF_BOSS|MF_SPECIAL
}

states[S_OLDK_STND] = {
        sprite = SPR_OLDK,
        frame = FF_ANIMATE,
        tics = -1,
		var1 = 1,
		var2 = 16
}

states[S_OLDK_DIE0] = {
        sprite = SPR_OLDK,
        frame = 2,
        tics = 0,
		nextstate = S_OLDK_DIE1,
		action = A_ForceWin
}

states[S_OLDK_DIE1] = {
        sprite = SPR_OLDK,
        frame = 2,
        tics = 0,
		nextstate = S_OLDK_DIE2,
		action = A_Scream
}

states[S_OLDK_DIE2] = {
        sprite = SPR_OLDK,
        frame = 2,
        tics = -1,
		action = A_ZThrust,
		var1 = 14,
		var2 = 1|(1<<16)
}